# Copyright 2022 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
"""Constants used throughout artifact building."""

# These constants are required for legacy execution and harmless for federated
# programs. They may be removed in the future.
SERVER_STATE_VAR_PREFIX = 'server'
SERVER_METRICS_VAR_PREFIX = 'metrics'

# The name given to variables part of the client 'update' name space.
UPDATE = 'update'

# Indices into DistributeAggregateForm.client_to_server_aggregation parameter.
INTERMEDIATE_STATE_INDEX = 0
CLIENT_CHECKPOINT_INDEX = 1
# This map is used in the construction of the aggregation portion of the Plan
# proto to ensure that the names of the input tensor names for the aggregation
# logic match the names of the corresponding output tensors generated by prior
# stages of the computation.
AGGREGATION_INTRINSIC_ARG_SELECTION_INDEX_TO_NAME_DICT = {
    INTERMEDIATE_STATE_INDEX: 'intermediate_state',
    CLIENT_CHECKPOINT_INDEX: 'update',
}
